function [t, y]=eul_esp(funz,tspan,y0,h)
%
% Funzione che calcola la soluzione di un'equazione differenziale 
% con il metodo di Eulero esplicito.
% INPUT:
%		funz	stringa contenente il nome del file in cui
%				inserire l'equazione differenziale.
%		tspan   [t0,tf]	istante di tempo iniziale e finale
%		y0		condizione iniziale
%		h		passo temporale
% OUTPUT:
%		t		vettore contenente un insieme di punti interni
%				all'intervallo desiderato
%		y		vettore contenente la soluzione nei punti del vettore t
%
t0=tspan(1);
tf=tspan(2);
t=t0:h:tf;
n=length(t);
y(:,1)=y0;
for i=1:n-1
   y(:,i+1)=y(:,i)+h*funz(t(i),y(:,i));
end
